---
title: /v2/advertisers/{advertiserId}/eligible/publisher-markets
slug: campaign-reporting-apis/v2advertisersadvertiserideligiblepublisher-markets
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "hrFAwrDCsEewGfP4-LHTJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "<p>Retrieves publishers and markets that the user has access to, for which a product feed is defined,\nand whose sites contain ad units eligible to be targeted by ad groups of the type specified in the query parameter.\nBoth adGroupType and marketId query parameters are optional.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "adGroupType",
          "type": "string",
          "description": "",
          "enum": [
            "DISPLAY",
            "SPA",
            "SPONSORED_BRAND"
          ]
        },
        {
          "kind": "optional",
          "name": "marketId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "PublishersGroupedByMarketResponse[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "example": 0,
                "format": "int32"
              },
              {
                "name": "country",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": ""
              },
              {
                "name": "countryCode",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": ""
              },
              {
                "name": "currency",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": ""
              },
              {
                "name": "publishers",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/IdNameResponse",
                "customType": "IdNameResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0,
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/PublishersGroupedByMarketResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "dKA6zxEjYcVdaiq0dy9lx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ma57GO03FNI6DfRIpIn5d",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "K2EeH4uFHXto5U8niBLpO",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "3VNOY4cAyjL2UZJ6OZhnt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/eligible/publisher-markets\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "dKA6zxEjYcVdaiq0dy9lx"
    },
    "results": {
      "languages": [
        {
          "id": "eyh0tjdwAu5FEyiOJ8it4",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"id\": \"\",\n    \"country\": \"\",\n    \"countryCode\": \"\",\n    \"currency\": \"\",\n    \"publishers\": [\n      {\n        \"id\": \"\",\n        \"name\": \"\"\n      }\n    ]\n  }\n]"
        },
        {
          "id": "4wDD15WGF2CS06GcfCF3N",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "F630dGEWNsc8saNBQEzeV",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "7dtczzpf2XmFczUvn5vgA",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "V6hf2hXn7kcQpOUgnazok",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "eyh0tjdwAu5FEyiOJ8it4"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}